cosine_sim {jmotif} | R Documentation

## Computes the cosine distance value between a bag of words and a set of TF-IDF weight vectors.

### Description

Computes the cosine distance value between a bag of words and a set of TF-IDF weight vectors.

### Usage

    cosine_sim(data)

### Arguments

`data` | the list containing a word-bag and the TF-IDF object.

### References

Senin Pavel and Malinchik Sergey, SAX-VSM: Interpretable Time Series Classification Using SAX and Vector Space Model. Data Mining (ICDM), 2013 IEEE 13th International Conference on, pp.1175,1180, 7-10 Dec. 2013.

Salton, G., Wong, A., Yang., C., A vector space model for automatic indexing. Commun. ACM 18, 11, 613-620, 1975.

[Package jmotif version 1.0.3 Index]